BLK_LLD_BUSY(9)

NAME
blk_lld_busy - Check if underlying low-level drivers of a device are busy

SYNOPSIS

int blk_lld_busy(struct request_queue * q);

ARGUMENTS

q
    the queue of the device being checked

DESCRIPTION

Check if underlying low-level drivers of a device are busy. If the drivers want to export their busy state, they must set own exporting function using blk_queue_lld_busy first.

Basically, this function is used only by request stacking drivers to stop dispatching requests to underlying devices when underlying devices are busy. This behavior helps more I/O merging on the queue of the request stacking driver and prevents I/O throughput regression on burst I/O load.

RETURN

0 - Not busy (The request stacking driver should dispatch request) 1 - Busy (The request stacking driver should stop dispatching request)

COPYRIGHT